Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.ejb.impl.store
Class DeploymentSynchronizerEJBImpl

    java.lang.Object
      org.jbpm.kie.services.impl.store.DeploymentSynchronizer
          org.jbpm.services.ejb.impl.store.DeploymentSynchronizerEJBImpl

All Implemented Interfaces:
  DeploymentEventListener

    public class DeploymentSynchronizerEJBImpl

extends DeploymentSynchronizer

Field Summary

Fields inherited from class org.jbpm.kie.services.impl.store.DeploymentSynchronizer
`DEPLOY_SYNC_ENABLED, DEPLOY_SYNC_INTERVAL, targetExceptionClass`

Constructor Summary
`DeploymentSynchronizerEJBImpl()`

Method Summary
`void` | `configure()`
`void` | `setCommandService(TransactionalCommandService commandService)`
`void` | `setDeploymentService(DeploymentService deploymentService)`
`void` | `shutdown()`
`void` | `synchronize()`

Methods inherited from class org.jbpm.kie.services.impl.store.DeploymentSynchronizer
`isActive, isCausedByConstraintViolation, onActivate, onDeactivate, onDeploy, onUnDeploy, setDeploymentStore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentSynchronizerEJBImpl

    public DeploymentSynchronizerEJBImpl()

Method Detail

### configure

    @PostConstruct
    public void configure()

### shutdown

    @PreDestroy
    public void shutdown()

### setDeploymentService

    public void setDeploymentService(DeploymentService deploymentService)

  Overrides:
    `setDeploymentService` in class `DeploymentSynchronizer`

### setCommandService

    public void setCommandService(TransactionalCommandService commandService)

### synchronize

    public void synchronize()

  Overrides:
    `synchronize` in class `DeploymentSynchronizer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.